public static interface StringTemplateEndpointBuilderFactory.StringTemplateBuilders
| Modifier and Type | Method and Description |
|---|---|
default StringTemplateEndpointBuilderFactory.StringTemplateEndpointBuilder |
stringTemplate(String path)
String Template (camel-stringtemplate)
Transform messages using StringTemplate engine.
|
default StringTemplateEndpointBuilderFactory.StringTemplateEndpointBuilder |
stringTemplate(String componentName,
String path)
String Template (camel-stringtemplate)
Transform messages using StringTemplate engine.
|
default StringTemplateEndpointBuilderFactory.StringTemplateEndpointBuilder stringTemplate(String path)
string-template:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.path - resourceUridefault StringTemplateEndpointBuilderFactory.StringTemplateEndpointBuilder stringTemplate(String componentName, String path)
string-template:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.componentName - to use a custom component name for the endpoint
instead of the default namepath - resourceUriApache Camel